xorp(8)

NAME
xorp_rtrmgr — XORP Router Manager

SYNOPSIS

xorp_rtrmgr [-a allowed host] [-l file] [-L syslog facility] [-n allowed net] [-b|-c file] [-i interface] [-p port] [-P pidfile] [-q seconds] [-t directory] [-x directory] [-C directory] [-m directory] [-N] [-h] [-v] [-d] [-r]

DESCRIPTION

This manual page documents briefly the xorp_rtrmgr command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

xorp_rtrmgr is the program that that manages the whole eXtensible Open Router Platform (XORP) platform. The program loads its configuration file (commonly named config.boot) which will read from the current working directory You can specify a different filename for the configuration file using the -b command line flag. The -N "no execute" flag will cause xorp_rtrmgr to startup and pretend the router is operating normally, but to not actually start any processes. This can be used to check configuration files.

Typically xorp_rtrmgr must be run as root. This is because it starts up processes that need privileged access to insert routes into the forwarding path in the kernel.

To interact with the router via the command line interface, the operator should use the XORP command shell xorpsh.

OPTIONS

xorp_rtrmgr allows the following options:

-a allowed host
    Host allowed by the finder.

-b, -c file
    Boot configuration file to load.

-C directory
    Specify operational commands directory.

-d  Run in daemon mode in background.

-h  Show summary of options.

-i interface
    Set or add an interface run Finder on.

-l file
    Log all the program information and errors to a file.

-L facility.priority
    Log all the program output to a given syslog facility.

-m directory
    Specify protocol modules directory.

-n allowed net
    Subnet allowed by the finder.

-N  Load the configuration but do not execute XRLs and do not start processes.

-p port
    Set port to run Finder on.

-P file
    Write the process ID to a given file.

-q seconds
    Set forced quit period.

-r  Restart failed processes (not implemented yet).

-t directory
    Specify templates directory.

-v  Print verbose information.

-x directory
    Specify Xrl targets directory.

SEE ALSO

xorpsh (1)

The programs are documented fully in the Xorp User Manual available at /usr/share/doc/xorp-doc/ in Debian systems when the xorp-doc package is installed.

AUTHOR

XORP is Copyright (c) 2001-2009 XORP, Inc.

This manual page was written by Javier Fernandez-Sanguino jfs@debian.org for the Debian system (but may be used by others). For licensing details please see /usr/share/doc/xorp/copyright.